<?php
/*
 * Class Learning_Events_Widget
 */
class Learning_Events_Widget extends WP_Widget {

    function __construct() {
        
        parent::__construct(
            'learning_events_widget',
            __('RPR Learning Webinars Events', 'rpr_learning_events_widget'),
            array('description' => __('This widget will list learning webinar events from RPR Blog', 'rpr_learning_events_widget'),)
        );
        
    }

    public function widget($args, $instance) {
        
        $title = apply_filters('widget_title', $instance['title']);
        
        echo $args['before_widget'];
        
        if (!empty($title)) {
            echo $args['before_title'] . $title . $args['after_title'];
        }

        ob_start();
        $url = "https://blog.narrpr.com/feed/learning_webinar_events";
        $rss = simplexml_load_file($url);
        $html = ob_get_clean();
        if($rss) {
            include_once(plugin_dir_path(__FILE__) . '/template/learning-events-template.php');
        }
        echo $html;
        echo $args['after_widget'];
        
    }

    public function form($instance) {
        
        if (isset($instance['title'])) {
            $title = $instance['title'];
        } else {
            $title = __('New title', 'rpr_learning_events_widget');
        }
        ?>

        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">
                <?php _e('Title:'); ?>
            </label> 
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
        
        <?php
    }

    public function update($new_instance, $old_instance) {
        
        $instance = array();
        $instance['title'] = (!empty($new_instance['title']) ) ? strip_tags($new_instance['title']) : '';
        return $instance;
        
    }
    
}

function rpr_learning_events_register_widget() {
    register_widget( 'Learning_Events_Widget' );
}
add_action( 'widgets_init', 'rpr_learning_events_register_widget' );