<?php
/**
 * Plugin Name: RPR Learning Events Widgets
 * Plugin URI: https://codeable.io/developers/rodrigo-renault/
 * Description: Add a widget to show the learning webinar events from RPR Blog
 * Version: 1.0.1
 * Author: Rodrigo Renault
 * Author URI: https://codeable.io/developers/rodrigo-renault/
 * Text Domain: codeable-learning-events-widget
 *
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 *
 * @package RPR_Learning_Events_Widget
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class RPR_Learning_Events_Widget {

    public function __construct() {
        $this->configure_plugin();
        $this->add_widget();
    }
    
    
    private function configure_plugin() {
        add_action( 'wp_enqueue_scripts', array( $this, 'add_scripts' ), 99 );
    }
    
    function add_scripts() {
        wp_enqueue_style( 'rpr-learning-events-style',   plugins_url( '/assets/css/learning-events.css', __FILE__ ), array(), '1.0.0' );
    }
    
    private function add_widget() {
        include_once(plugin_dir_path(__FILE__) . '/inc/learning-events-widget.php');
    }

}
$rpr_learning_events_widget = new RPR_Learning_Events_Widget();